<?php
include 'header.php';
include 'erpc_tipos_movimentacao_toolbar.php';
require_once 'connect.php';
require_once 'inc/usuario.php';

checkLogin('login.php');

$id = 0;
$st_ativo = 1;

if(isset($_GET['id'])){
  $id_crip = $_GET['id'];
  $id      = base64_decode($id_crip);
}

$consulta = "select * from erpc_tipos_movimentacao where st_ativo=1 and id=$id";

 // echo $consulta;
$resultado = mysqli_query($conexao, $consulta) or die ($erro = mysqli_error($conexao));
if (mysqli_num_rows($resultado)>0) {
      while ($registro = mysqli_fetch_assoc($resultado)){

          $tp_tipo = trim($registro['tp_tipo']);
          $ds_tipo = trim($registro['ds_tipo']);
        $fl_gera_duplicata = trim($registro['fl_gera_duplicata']);
        $fl_atualiza_estoque = trim($registro['fl_atualiza_estoque']);
        $id_tipo_devolucao = trim($registro['id_tipo_devolucao']);
        $fl_atualiza_preco_compra = trim($registro['fl_atualiza_preco_compra']);
        $fl_atualiza_origem = trim($registro['fl_atualiza_origem']);
        $ds_cfop = trim($registro['ds_cfop']);
        $fl_calcula_icms = trim($registro['fl_calcula_icms']);
        $fl_calcula_ipi = trim($registro['fl_calcula_ipi']);
        $fl_calcula_iss = trim($registro['fl_calcula_iss']);
        $id_agrega_solidario = trim($registro['id_agrega_solidario']);
        $fl_desp_ac_ipi = trim($registro['fl_desp_ac_ipi']);
        $fl_credita_ipi = trim($registro['fl_credita_ipi']);
        $nr_perc_reducao_ipi = trim($registro['nr_perc_reducao_ipi']);
        $nr_perc_reducao_icms = trim($registro['nr_perc_reducao_icms']);
        $id_situacao_tributaria = trim($registro['id_situacao_tributaria']);
        $erpc_tipos_movimentacaocol = trim($registro['erpc_tipos_movimentacaocol']);
        $id_agrega_valor = trim($registro['id_agrega_valor']);
        $id_pis_cofins = trim($registro['id_pis_cofins']);
        $fl_credita_pis_cofins = trim($registro['fl_credita_pis_cofins']);
        $id_livros_fiscais_icms = trim($registro['id_livros_fiscais_icms']);
        $id_livros_fiscais_ipi = trim($registro['id_livros_fiscais_ipi']);
        $fl_pis_cofins_total = trim($registro['fl_pis_cofins_total']);
        $fl_retem_iss = trim($registro['fl_retem_iss']);
        $fl_calcula_icm_frete = trim($registro['fl_calcula_icm_frete']);
        $fl_retem_pis = trim($registro['fl_retem_pis']);
        $fl_retem_cof = trim($registro['fl_retem_cof']);
        $id_poder_terceiros = trim($registro['id_poder_terceiros']);
        $fl_retem_irrf = trim($registro['fl_retem_irrf']);
        $fl_retem_inss = trim($registro['fl_retem_inss']);
        $fl_retem_csll = trim($registro['fl_retem_csll']);
        $fl_calcula_irrf = trim($registro['fl_calcula_irrf']);
        $fl_calcula_inss = trim($registro['fl_calcula_inss']);
        $fl_calcula_csll = trim($registro['fl_calcula_csll']);
        $id_natureza_nfse = trim($registro['id_natureza_nfse']);
        $fl_calcula_funr = trim($registro['fl_calcula_funr']);
        $fl_retem_funr = trim($registro['fl_retem_funr']);
        $nr_perc_reducao_icms_st = trim($registro['nr_perc_reducao_icms_st']);
        $fl_desp_ac_icms = trim($registro['fl_desp_ac_icms']);
        $tp_pagamento_imposto = trim($registro['tp_pagamento_imposto']);
        $fl_desconto_condicional = trim($registro['fl_desconto_condicional']);
        $erpc_tipos_movimentacaocol1 = trim($registro['erpc_tipos_movimentacaocol1']);
        $id_pagamento_imposto = trim($registro['id_pagamento_imposto']);
        $id_dom_csosn = trim($registro['id_dom_csosn']);
        //Henrique
        $ds_icms_st_mt = trim($registro['ds_icms_st_mt']);
        $ds_ipi_bc = trim($registro['ds_ipi_bc']);
        $fl_icms_diferido = trim($registro['fl_icms_diferido']);
        $nr_perc_icms_dif = trim($registro['nr_perc_icms_dif']);
        $nr_perc_red_iss = trim($registro['nr_perc_red_iss']);
        $ds_ajuste_ciap = trim($registro['ds_ajuste_ciap']);
        $ds_info_st_anterior = trim($registro['ds_info_st_anterior']);
        $ds_mat_consumo = trim($registro['ds_mat_consumo']);
        $ds_cofins_zfranca = trim($registro['ds_cofins_zfranca']);
        $ds_pis_zfranca = trim($registro['ds_pis_zfranca']);
        $ds_ipi_bruto = trim($registro['ds_ipi_bruto']);
        $ds_natureza_operacao = trim($registro['ds_natureza_operacao']);
        $id_motivo_desoneracao = trim($registro['id_motivo_desoneracao']);
        $erpc_dom_sit_trib_pis_id = trim($registro['erpc_dom_sit_trib_pis_id']);
        $erpc_dom_sit_trib_cof_id = trim($registro['erpc_dom_sit_trib_cof_id']);

  }
}


?>


<!-- Nav tabs -->
<ul class="nav nav-tabs" role="tablist">
  <li role="presentation" class="active"><a id="mform1" href="#form1" aria-controls="form1" role="tab" data-toggle="tab">Cadastro</a></li>
  <li role="presentation"><a id="mform2" href="#form2" aria-controls="form2" role="tab" data-toggle="tab">Impostos</a></li>
  <li role="presentation"><a id="mform3" href="#form3" aria-controls="form3" role="tab" data-toggle="tab">Outros</a></li>
</ul>

<form id=validate_custom method=POST action="erpc_tipos_movimentacao_ws.php" >
<!-- Tab panes -->

<div class="tab-content">
  <div role="tabpanel" class="tab-pane fade in active" id="form1">
    <input hidden id="id" name="id" value='<?=$id; ?>'></input>
    <?php
    include 'erpc_tipos_movimentacao1_edit.php';
    ?>
  </div>
  <div role="tabpanel" class="tab-pane fade" id="form2">
    <?php
    include 'erpc_tipos_movimentacao2_edit.php';
    ?>
  </div>

  <div role="tabpanel" class="tab-pane fade" id="form3">
    <?php
    include 'erpc_tipos_movimentacao3_edit.php';
    ?>
  </div>

  <div class=footer>
      <div class="side pull-right">
        <div class=btn-group>
          <button class="btn btn-default" type="button" onClick="window.history.go(-1)" value="Voltar">Voltar</button>
          <button class="btn btn-success" type="submit" value="editar" onClick="$('#validate_custom').validationEngine('hide');" name="editar">Editar</button>
        </div>
      </div>
    </div>
</div>
</form>

<?php include 'footer.php'; ?>
<script type="text/javascript" src="js/acme.js"></script>
<script type="text/javascript" src="js/edit_fantasma.js"></script>
